PROCEDURE CPPCtrlConstantsDlg;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 13021;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kDefineRadio          = 4;
    kEnumRadio            = 5;
    kTextBox              = 6;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 6);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, TRUE );

    {create controls}
    CreateRadioButton( dialog, kDefineRadio, GetStr(kDefineRadio) );
    CreateRadioButton( dialog, kEnumRadio, GetStr(kEnumRadio) );
    CreateEditTextBox( dialog, kTextBox, '', 45, 25 );

    {set relations}
    SetFirstLayoutItem( dialog, kDefineRadio );
    SetBelowItem( dialog, kDefineRadio, kEnumRadio, 0, 0 );
    SetBelowItem( dialog, kEnumRadio, kTextBox, 0, 0 );

    {set alignments}

    {set bindings}
    SetEdgeBinding        ( dialog, kTextBox, TRUE, TRUE, TRUE, TRUE );

    {set help strings}
    FOR cnt := 1 TO 6 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( CPPCtrlConstantsDlg );
