PROCEDURE commonDlg_Setup;
CONST
	kStartStringAt = 13110;
	kOK                 = 1;
	kCancel             = 2;
	kBindGroup          = 4;
	kCommonGroup        = 5;
	kAlignGroup         = 6;
	kControlIDText      = 7;
	kControlIDEdit      = 8;
	kConstNameText      = 9;
	kConstNameEdit      = 10;
	kTextText           = 11;
	kTextEdit           = 12;
	kHorzOffsText       = 13;
	kHorzOffsEdit       = 14;
	kVertOffsText       = 15;
	kVertOffsEdit       = 16;
	kVertText           = 17;
	kHelpEdit           = 18;
	kTabControl         = 19;
	kAlignmentsList     = 20;
	kAddButton          = 21;
	kEditButton         = 22;
	kDeleteButton       = 23;
	kMoveUpButton       = 24;
	kMoveDown           = 25;
	kBindLeftText       = 31;
	kBindLeftPopup      = 32;
	kBindRightText      = 33;
	kBindRightPopup     = 34;
	kBindTopText        = 35;
	kBindTopPopup       = 36;
	kBindBotText        = 37;
	kBindBotPopup       = 38;
	kCtrlSettingsButton = 41;

	kRight              = 1;
	kBottom             = 2;
	kLeft               = 3;
	kResize             = 0;
	kShift              = 1;

	kTextOnly           = 0;
	kIconOnly           = 1;
	kTextIcon           = 3;
	kStatic             = 1;
	kRadio              = 2;
	kMulti              = 3;
	kCol0               = 0;
	kCol1               = 1;
	kCol2               = 2;
	kCol3               = 3;
VAR
	commonDlg             :INTEGER;
	gControlIDEdit        :LONGINT;
	gConstNameEdit        :STRING;
	gHorzOffsEdit         :LONGINT;
	gVertOffsEdit         :LONGINT;
	gAlignmentsListImg1   :INTEGER;
	gAlignmentsListImg2   :INTEGER;
	gAlignmentsListImg3   :INTEGER;
	gAlignmentsListImg4   :INTEGER;
	gAlignmentsListImg5   :INTEGER;
	gBindLeftPopupInt     :INTEGER;
	gBindLeftPopupStr     :STRING;
	gBindRightPopupInt    :INTEGER;
	gBindRightPopupStr    :STRING;
	gBindTopPopupInt      :INTEGER;
	gBindTopPopupStr      :STRING;
	gBindBotPopupInt      :INTEGER;
	gBindBotPopupStr      :STRING;
	xmlID                 :LONGINT;
	cnt                   :INTEGER;
	int                   :INTEGER;
	boo                   :BOOLEAN;
	str                   :STRING;
	ndx                   :INTEGER;


FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
	GetResourceString(GetStr, kStartStringAt, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
	GetResourceString(GetHelpStr, kStartStringAt + 1, ndx);
END;

BEGIN
	commonDlg := CreateLayout(GetStr( 3), True, GetStr(kOK), GetStr(kCancel));
	CreateGroupBox            (commonDlg, kBindGroup,           GetStr(kBindGroup), True);
	CreateGroupBox            (commonDlg, kCommonGroup,         GetStr(kCommonGroup), True);
	CreateGroupBox            (commonDlg, kAlignGroup,          GetStr(kAlignGroup), True);
	CreateStaticText          (commonDlg, kControlIDText,       GetStr(kControlIDText), -1);
	CreateEditInteger         (commonDlg, kControlIDEdit,       0, 25);
	CreateStaticText          (commonDlg, kConstNameText,       GetStr(kConstNameText), -1);
	CreateEditText            (commonDlg, kConstNameEdit,       GetStr(kConstNameEdit), 25);
	CreateStaticText          (commonDlg, kTextText,            GetStr(kTextText), -1);
	CreateEditTextBox         (commonDlg, kTextEdit,            GetStr(kTextEdit), 25, 5);
	CreateStaticText          (commonDlg, kHorzOffsText,        GetStr(kHorzOffsText), -1);
	CreateEditText            (commonDlg, kHorzOffsEdit,        '0', 25);
	CreateStaticText          (commonDlg, kVertOffsText,        GetStr(kVertOffsText), -1);
	CreateEditText            (commonDlg, kVertOffsEdit,        '0', 25);
	CreateStaticText          (commonDlg, kVertText,            GetStr(kVertText), -1);
	CreateEditTextBox         (commonDlg, kHelpEdit,            GetStr(kHelpEdit), 25, 5);
	CreateTabControl          (commonDlg, kTabControl);
	CreateLB                  (commonDlg, kAlignmentsList,      65, 11);
	CreatePushButton          (commonDlg, kAddButton,           GetStr(kAddButton));
	CreatePushButton          (commonDlg, kEditButton,          GetStr(kEditButton));
	CreatePushButton          (commonDlg, kDeleteButton,        GetStr(kDeleteButton));
	CreatePushButton          (commonDlg, kMoveUpButton,        GetStr(kMoveUpButton));
	CreatePushButton          (commonDlg, kMoveDown,            GetStr(kMoveDown));
	CreateStaticText          (commonDlg, kBindLeftText,        GetStr(kBindLeftText), -1);
	CreatePulldownMenu        (commonDlg, kBindLeftPopup,       25);
	CreateStaticText          (commonDlg, kBindRightText,       GetStr(kBindRightText), -1);
	CreatePulldownMenu        (commonDlg, kBindRightPopup,      25);
	CreateStaticText          (commonDlg, kBindTopText,         GetStr(kBindTopText), -1);
	CreatePulldownMenu        (commonDlg, kBindTopPopup,        25);
	CreateStaticText          (commonDlg, kBindBotText,         GetStr(kBindBotText), -1);
	CreatePulldownMenu        (commonDlg, kBindBotPopup,        25);
	CreatePushButton          (commonDlg, kCtrlSettingsButton,  GetStr(kCtrlSettingsButton));
	SetFirstLayoutItem(commonDlg, kTabControl);
	CreateTabPane     (commonDlg, kTabControl,          kCommonGroup);
	SetFirstGroupItem (commonDlg, kCommonGroup,         kControlIDText);
	SetRightItem      (commonDlg, kControlIDText,       kControlIDEdit,       0, 0);
	SetRightItem      (commonDlg, kControlIDEdit,       kHorzOffsText,        5, 0);
	SetRightItem      (commonDlg, kHorzOffsText,        kHorzOffsEdit,        0, 0);
	SetBelowItem      (commonDlg, kHorzOffsText,        kVertOffsText,        0, 0);
	SetRightItem      (commonDlg, kVertOffsText,        kVertOffsEdit,        0, 0);
	SetBelowItem      (commonDlg, kVertOffsText,        kVertText,            0, 0);
	SetRightItem      (commonDlg, kVertText,            kHelpEdit,            0, 0);
	SetBelowItem      (commonDlg, kControlIDText,       kConstNameText,       0, 0);
	SetRightItem      (commonDlg, kConstNameText,       kConstNameEdit,       0, 0);
	SetBelowItem      (commonDlg, kConstNameEdit,       kTextEdit,            0, 0);
	SetBelowItem      (commonDlg, kConstNameText,       kTextText,            0, 0);
	CreateTabPane     (commonDlg, kTabControl,          kAlignGroup);
	SetFirstGroupItem (commonDlg, kAlignGroup,          kAlignmentsList);
	SetRightItem      (commonDlg, kAlignmentsList,      kAddButton,           0, 0);
	SetBelowItem      (commonDlg, kAddButton,           kEditButton,          0, 0);
	SetBelowItem      (commonDlg, kEditButton,          kDeleteButton,        0, 0);
	SetBelowItem      (commonDlg, kDeleteButton,        kMoveUpButton,        0, 0);
	SetBelowItem      (commonDlg, kMoveUpButton,        kMoveDown,            0, 0);
	CreateTabPane     (commonDlg, kTabControl,          kBindGroup);
	SetFirstGroupItem (commonDlg, kBindGroup,           kBindLeftText);
	SetRightItem      (commonDlg, kBindLeftText,        kBindLeftPopup,       0, 0);
	SetRightItem      (commonDlg, kBindLeftPopup,       kBindTopText,         0, 0);
	SetRightItem      (commonDlg, kBindTopText,         kBindTopPopup,        0, 0);
	SetBelowItem      (commonDlg, kBindTopText,         kBindBotText,         0, 0);
	SetRightItem      (commonDlg, kBindBotText,         kBindBotPopup,        0, 0);
	SetBelowItem      (commonDlg, kBindLeftText,        kBindRightText,       0, 0);
	SetRightItem      (commonDlg, kBindRightText,       kBindRightPopup,      0, 0);

	AlignItemEdge(commonDlg, kTextEdit,            kLeft,    1, kShift);
	AlignItemEdge(commonDlg, kBindRightPopup,      kLeft,    1, kShift);
	AlignItemEdge(commonDlg, kBindLeftPopup,       kLeft,    1, kShift);
	AlignItemEdge(commonDlg, kControlIDEdit,       kLeft,    1, kShift);
	AlignItemEdge(commonDlg, kConstNameEdit,       kLeft,    1, kShift);
	AlignItemEdge(commonDlg, kAddButton,           kRight,   2, kResize);
	AlignItemEdge(commonDlg, kEditButton,          kRight,   2, kResize);
	AlignItemEdge(commonDlg, kHorzOffsEdit,        kLeft,    2, kShift);
	AlignItemEdge(commonDlg, kVertOffsEdit,        kLeft,    2, kShift);
	AlignItemEdge(commonDlg, kDeleteButton,        kRight,   2, kResize);
	AlignItemEdge(commonDlg, kHelpEdit,            kLeft,    2, kShift);
	AlignItemEdge(commonDlg, kBindTopPopup,        kLeft,    2, kShift);
	AlignItemEdge(commonDlg, kMoveDown,            kRight,   2, kResize);
	AlignItemEdge(commonDlg, kMoveUpButton,        kRight,   2, kResize);
	AlignItemEdge(commonDlg, kBindBotPopup,        kLeft,    2, kShift);
	AlignItemEdge(commonDlg, kAlignmentsList,      kBottom,  5, kResize);
	AlignItemEdge(commonDlg, kBindTopText,         kLeft,    11, kShift);
	AlignItemEdge(commonDlg, kHorzOffsText,        kLeft,    11, kShift);
	AlignItemEdge(commonDlg, kBindBotText,         kLeft,    11, kShift);
	AlignItemEdge(commonDlg, kVertOffsText,        kLeft,    11, kShift);
	AlignItemEdge(commonDlg, kVertText,            kLeft,    11, kShift);
	AlignItemEdge(commonDlg, kCommonGroup,         kRight,   20, kResize);
	AlignItemEdge(commonDlg, kBindGroup,           kRight,   20, kResize);
	AlignItemEdge(commonDlg, kAlignGroup,          kRight,   20, kResize);
	FOR cnt := 1 TO 34 DO SetHelpText(commonDlg, cnt, GetHelpStr(cnt));
END;
RUN(commonDlg_Setup);

