PROCEDURE ListlPresDlg;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 13160;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kItemsList            = 4;
    kAddItemButton        = 5;
    kEditButton           = 6;
    kRemoveButton         = 7;
    kMoveUpButton         = 8;
    kMoveDownButton       = 9;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 9);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, TRUE );

    {create controls}
    CreateListBox( dialog, kItemsList, 30, 15 );
    CreatePushButton( dialog, kAddItemButton, GetStr(kAddItemButton) );
    CreatePushButton( dialog, kEditButton, GetStr(kEditButton) );
    CreatePushButton( dialog, kRemoveButton, GetStr(kRemoveButton) );
    CreatePushButton( dialog, kMoveUpButton, GetStr(kMoveUpButton) );
    CreatePushButton( dialog, kMoveDownButton, GetStr(kMoveDownButton) );

    {set relations}
    SetFirstLayoutItem( dialog, kItemsList );
    SetRightItem( dialog, kItemsList, kAddItemButton, 0, 0 );
    SetBelowItem( dialog, kAddItemButton, kEditButton, 0, 0 );
    SetBelowItem( dialog, kEditButton, kRemoveButton, 0, 0 );
    SetBelowItem( dialog, kRemoveButton, kMoveUpButton, 0, 5 );
    SetBelowItem( dialog, kMoveUpButton, kMoveDownButton, 0, 0 );

    {set alignments}
    AlignItemEdge( dialog, kAddItemButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kEditButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kRemoveButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kMoveUpButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kMoveDownButton, kRight, 1, kResize );

    {set bindings}
    SetEdgeBinding        ( dialog, kAddItemButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kEditButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kRemoveButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kMoveUpButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kMoveDownButton, FALSE, TRUE, FALSE, FALSE );

    {set help strings}
    FOR cnt := 1 TO 9 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( ListlPresDlg );
{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>ListlPresDlg</Name>
    <Namespace></Namespace>
    <Title>List Presentation</Title>
    <OKText>OK</OKText>
    <OKHelpText>Accepts the dialog data.</OKHelpText>
    <CancelText>Cancel</CancelText>
    <CancelHelpText>Cancels the dialog data.</CancelHelpText>
    <HasHelp>TRUE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>TRUE</ResizableHeight>
    <StringsStartID>13160</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>13161</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>FALSE</TablesAddToDlgRes>
    <ResTables>
      <Table ID="13161" Name="Misc">
        <Values>
          <Value>List Value</Value>
          <Value>Add new list value:</Value>
          <Value>Edit liat value:</Value>
          <Value>OK</Value>
          <Value>Cancel</Value>
          <Value>Do you want to delete the item?</Value>
        </Values>
      </Table>
    </ResTables>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-66.000000" y="72.000000">
      <Parameter Name="__UUID">%LB1D087833-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kListBox</Parameter>
      <Parameter Name="id">4</Parameter>
      <Parameter Name="constName">ItemsList</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">The list of items for the list control.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">30</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">15</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">66</Parameter>
      <Parameter Name="ControlPoint00Y">-3,4</Parameter>
      <Parameter Name="ControlPoint01X">16</Parameter>
      <Parameter Name="ControlPoint01Y">-24,3</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB2C12DB0C-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">66</Parameter>
      <Parameter Name="__savedHandleRightY">-3,4</Parameter>
      <Parameter Name="__savedHandleBottomX">16</Parameter>
      <Parameter Name="__savedHandleBottomY">-24,3</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">32,00400043</Parameter>
      <Parameter Name="__fVisControlHeight">24,34166667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="0.000000" y="71.000000">
      <Parameter Name="__UUID">%LB2C12DB0C-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">5</Parameter>
      <Parameter Name="constName">AddItemButton</Parameter>
      <Parameter Name="label">Add...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Adds new item to the list.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">13,1</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">6,4</Parameter>
      <Parameter Name="ControlPoint01Y">-14</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB2C12DB0D-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">13,1</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">6,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-14</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">13,08099981</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="0.000000" y="57.000000">
      <Parameter Name="__UUID">%LB2C12DB0D-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">6</Parameter>
      <Parameter Name="constName">EditButton</Parameter>
      <Parameter Name="label">Edit...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Edit the selected item in the list.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">12,8</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">8,9</Parameter>
      <Parameter Name="ControlPoint01Y">-13</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB2C12DB0E-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">12,8</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">8,9</Parameter>
      <Parameter Name="__savedHandleBottomY">-13</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">12,82700005</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="0.000000" y="44.000000">
      <Parameter Name="__UUID">%LB2C12DB0E-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">7</Parameter>
      <Parameter Name="constName">RemoveButton</Parameter>
      <Parameter Name="label">Remove</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Remove the selected item in the list.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">17,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">9,4</Parameter>
      <Parameter Name="ControlPoint01Y">-20</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB2C12DB0F-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">17,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">9,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-20</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">17,73766607</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="0.000000" y="24.000000">
      <Parameter Name="__UUID">%LB2C12DB0F-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">8</Parameter>
      <Parameter Name="constName">MoveUpButton</Parameter>
      <Parameter Name="label">Move Up</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Move up the selection in the list.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">5</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">18,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,1</Parameter>
      <Parameter Name="ControlPoint01Y">-18</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB2C12DB10-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">18,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-18</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">18,88066667</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="0.000000" y="6.000000">
      <Parameter Name="__UUID">%LB2C12DB10-10A4-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">9</Parameter>
      <Parameter Name="constName">MoveDownButton</Parameter>
      <Parameter Name="label">Move Down</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Move down the selection in the list.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24,3</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,1</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24,3</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">24,25699925</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

