PROCEDURE NotesEditDlg;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 22002;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kUnnamed5             = 4;
    kNoteTagTxt           = 5;
    kNoteTagEdit          = 6;
    kAccessExmpTxt        = 7;
    kNoteAccessExmpEdit   = 8;
    kNoteTextTxt          = 9;
    kNoteTextEdit         = 10;
    kCommentTxt           = 11;
    kCommentEdit          = 12;
    kAddBtn               = 13;
    kDelBtn               = 14;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 14);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, TRUE );

    {create controls}
    CreateListBox( dialog, kUnnamed5, 25, 15 );
    CreateStaticText( dialog, kNoteTagTxt, GetStr(kNoteTagTxt), -1 );
    CreateEditText( dialog, kNoteTagEdit, GetStr(kNoteTagEdit), 25 );
    CreateStaticText( dialog, kAccessExmpTxt, GetStr(kAccessExmpTxt), -1 );
    CreateEditText( dialog, kNoteAccessExmpEdit, GetStr(kNoteAccessExmpEdit), 25 );
    CreateStaticText( dialog, kNoteTextTxt, GetStr(kNoteTextTxt), -1 );
    CreateEditTextBox( dialog, kNoteTextEdit, GetStr(kNoteTextEdit), 40, 10 );
    CreateStaticText( dialog, kCommentTxt, GetStr(kCommentTxt), -1 );
    CreateEditTextBox( dialog, kCommentEdit, GetStr(kCommentEdit), 40, 5 );
    CreatePushButton( dialog, kAddBtn, GetStr(kAddBtn) );
    CreatePushButton( dialog, kDelBtn, GetStr(kDelBtn) );

    {set relations}
    SetFirstLayoutItem( dialog, kUnnamed5 );
    SetRightItem( dialog, kUnnamed5, kNoteTagTxt, 0, 0 );
    SetBelowItem( dialog, kUnnamed5, kAddBtn, 0, 0 );
    SetRightItem( dialog, kNoteTagTxt, kNoteTagEdit, 0, 0 );
    SetBelowItem( dialog, kNoteTagTxt, kAccessExmpTxt, 0, 0 );
    SetRightItem( dialog, kAccessExmpTxt, kNoteAccessExmpEdit, 0, 0 );
    SetBelowItem( dialog, kAccessExmpTxt, kNoteTextTxt, 0, 0 );
    SetBelowItem( dialog, kNoteTextTxt, kNoteTextEdit, 0, 0 );
    SetBelowItem( dialog, kNoteTextEdit, kCommentTxt, 0, 0 );
    SetBelowItem( dialog, kCommentTxt, kCommentEdit, 0, 0 );
    SetBelowItem( dialog, kAddBtn, kDelBtn, 0, 0 );

    {set alignments}
    AlignItemEdge( dialog, kNoteTagEdit, kLeft, 1, kShift );
    AlignItemEdge( dialog, kNoteAccessExmpEdit, kLeft, 1, kShift );

    {set bindings}
    SetEdgeBinding        ( dialog, kUnnamed5, FALSE, FALSE, TRUE, TRUE );
    SetEdgeBinding        ( dialog, kNoteTagEdit, TRUE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kNoteAccessExmpEdit, TRUE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kNoteTextEdit, TRUE, TRUE, TRUE, TRUE );
    SetEdgeBinding        ( dialog, kCommentTxt, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kCommentEdit, TRUE, TRUE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kAddBtn, TRUE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kDelBtn, TRUE, FALSE, FALSE, TRUE );

    {set help strings}
    FOR cnt := 1 TO 14 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( NotesEditDlg );

{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>NotesEditDlg</Name>
    <Namespace></Namespace>
    <Title>Notes Edit</Title>
    <OKText>OK</OKText>
    <OKHelpText>Accepts the dialog data.</OKHelpText>
    <CancelText>Cancel</CancelText>
    <CancelHelpText>Cancels the dialog data.</CancelHelpText>
    <HasHelp>TRUE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>TRUE</ResizableHeight>
    <StringsStartID>22002</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>12003</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>TRUE</TablesAddToDlgRes>
    <ExportXMLinVS>TRUE</ExportXMLinVS>
    <LeftControlID>0</LeftControlID>
    <ExportResourcesInR>TRUE</ExportResourcesInR>
    <ResurseConstantPrefix>kStr_</ResurseConstantPrefix>
    <ResTables>
      <Table ID="0" Name="misc">
        <Values>
          <Value Constant="DoYouWantToDelete">Do you want to delete the selected note?</Value>
          <Value Constant="NewNote">New Note</Value>
          <Value Constant="TheNote">Note</Value>
          <Value Constant="EnterNewNote">Enter New Note:</Value>
          <Value Constant="TagNameError">Tag name exist or invalid!</Value>
        </Values>
      </Table>
    </ResTables>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-39" y="109">
      <Parameter Name="__UUID">%LB3F3CF716-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditTextBox</Parameter>
      <Parameter Name="id">6</Parameter>
      <Parameter Name="constName">NoteTagEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">12mm</Parameter>
      <Parameter Name="ControlPoint01Y">-4mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">12mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-4mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-89" y="109">
      <Parameter Name="__UUID">%LB3F3CF717-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">5</Parameter>
      <Parameter Name="constName">NoteTagTxt</Parameter>
      <Parameter Name="label">Note Tag:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">50mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">16mm</Parameter>
      <Parameter Name="ControlPoint01Y">-10mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID">%LB3F3CF716-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB3F3CF718-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">50mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">16mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-10mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">18</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-89" y="99">
      <Parameter Name="__UUID">%LB3F3CF718-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">7</Parameter>
      <Parameter Name="constName">AccessExmpTxt</Parameter>
      <Parameter Name="label">Access Example:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">54mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">10mm</Parameter>
      <Parameter Name="ControlPoint01Y">-8mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID">%LB4D4D94E7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB45E3D896-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">54mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">10mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-8mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">32</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-89" y="91">
      <Parameter Name="__UUID">%LB45E3D896-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">9</Parameter>
      <Parameter Name="constName">NoteTextTxt</Parameter>
      <Parameter Name="label">Note Text:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">19mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">17mm</Parameter>
      <Parameter Name="ControlPoint01Y">-7mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB53454AA6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">19mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">17mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-7mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">19</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-89" y="47">
      <Parameter Name="__UUID">%LB45E3D897-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">11</Parameter>
      <Parameter Name="constName">CommentTxt</Parameter>
      <Parameter Name="label">Comment:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">19mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">17mm</Parameter>
      <Parameter Name="ControlPoint01Y">-9mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB53454AA7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">19mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">17mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-9mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">19</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-148" y="112">
      <Parameter Name="__UUID">%LB4D4D94E6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kListBox</Parameter>
      <Parameter Name="id">4</Parameter>
      <Parameter Name="constName">Unnamed5</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">15</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">59mm</Parameter>
      <Parameter Name="ControlPoint00Y">-5mm</Parameter>
      <Parameter Name="ControlPoint01X">8mm</Parameter>
      <Parameter Name="ControlPoint01Y">-38mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID">%LB3F3CF717-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__BottomUUID">%LBDB6DDBE6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">59mm</Parameter>
      <Parameter Name="__savedHandleRightY">-5mm</Parameter>
      <Parameter Name="__savedHandleBottomX">8mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-38mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">31</Parameter>
      <Parameter Name="__fVisControlHeight">24</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-35" y="99">
      <Parameter Name="__UUID">%LB4D4D94E7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditTextBox</Parameter>
      <Parameter Name="id">8</Parameter>
      <Parameter Name="constName">NoteAccessExmpEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">12mm</Parameter>
      <Parameter Name="ControlPoint01Y">-4mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">12mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-4mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-84" y="84">
      <Parameter Name="__UUID">%LB53454AA6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditTextBox</Parameter>
      <Parameter Name="id">10</Parameter>
      <Parameter Name="constName">NoteTextEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">40</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">10</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24mm</Parameter>
      <Parameter Name="ControlPoint00Y">-12mm</Parameter>
      <Parameter Name="ControlPoint01X">5mm</Parameter>
      <Parameter Name="ControlPoint01Y">-37mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB45E3D897-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">24mm</Parameter>
      <Parameter Name="__savedHandleRightY">-12mm</Parameter>
      <Parameter Name="__savedHandleBottomX">5mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-37mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24</Parameter>
      <Parameter Name="__fVisControlHeight">24</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-84" y="38">
      <Parameter Name="__UUID">%LB53454AA7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditTextBox</Parameter>
      <Parameter Name="id">12</Parameter>
      <Parameter Name="constName">CommentEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">40</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">5</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24mm</Parameter>
      <Parameter Name="ControlPoint00Y">-12mm</Parameter>
      <Parameter Name="ControlPoint01X">12mm</Parameter>
      <Parameter Name="ControlPoint01Y">-24mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24mm</Parameter>
      <Parameter Name="__savedHandleRightY">-12mm</Parameter>
      <Parameter Name="__savedHandleBottomX">12mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-24mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24</Parameter>
      <Parameter Name="__fVisControlHeight">24</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB4D4D94E6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB3F3CF717-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB3F3CF717-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB3F3CF718-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB3F3CF718-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB45E3D896-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB45E3D896-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB53454AA6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB3F3CF717-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB3F3CF716-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB3F3CF718-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4D4D94E7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB53454AA6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB45E3D897-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB45E3D897-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LB53454AA7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-147" y="74">
      <Parameter Name="__UUID">%LBDB6DDBE6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">13</Parameter>
      <Parameter Name="constName">AddBtn</Parameter>
      <Parameter Name="label">Add...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">13mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">9mm</Parameter>
      <Parameter Name="ControlPoint01Y">-10mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBDB6DDBE7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__savedHandleRightX">13mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">9mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-10mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">13</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-147" y="64">
      <Parameter Name="__UUID">%LBDB6DDBE7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">14</Parameter>
      <Parameter Name="constName">DelBtn</Parameter>
      <Parameter Name="label">Delete...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">17mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">8mm</Parameter>
      <Parameter Name="ControlPoint01Y">-4mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">17mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">8mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-4mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">17</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LB4D4D94E6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LBDB6DDBE6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0" y="0">
      <Parameter Name="ParentObj">%LBDB6DDBE6-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="RelatedObj">%LBDB6DDBE7-0FC9-11DD-BAB4-001AA0C30AB2%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

