PROCEDURE SelClassDlg;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 22004;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kClassesPopup         = 4;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 4);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, FALSE );

    {create controls}
    CreatePulldownMenu( dialog, kClassesPopup, 35 );

    {set relations}
    SetFirstLayoutItem( dialog, kClassesPopup );

    {set alignments}

    {set bindings}
    SetEdgeBinding        ( dialog, kClassesPopup, TRUE, TRUE, FALSE, FALSE );

    {set help strings}
    FOR cnt := 1 TO 4 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( SelClassDlg );

{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>SelClassDlg</Name>
    <Namespace></Namespace>
    <Title>Select class</Title>
    <OKText>OK</OKText>
    <OKHelpText>Accepts the dialog data.</OKHelpText>
    <CancelText>Cancel</CancelText>
    <CancelHelpText>Cancels the dialog data.</CancelHelpText>
    <HasHelp>TRUE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>FALSE</ResizableHeight>
    <StringsStartID>22004</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>12005</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>TRUE</TablesAddToDlgRes>
    <ExportXMLinVS>TRUE</ExportXMLinVS>
    <LeftControlID>0</LeftControlID>
    <ExportResourcesInR>TRUE</ExportResourcesInR>
    <ResurseConstantPrefix>kStr_</ResurseConstantPrefix>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-60" y="77">
      <Parameter Name="__UUID">%LBF1788BB9-202E-11DD-8DA1-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kTextPopup</Parameter>
      <Parameter Name="id">4</Parameter>
      <Parameter Name="constName">ClassesPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Select class.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">35</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">22mm</Parameter>
      <Parameter Name="ControlPoint00Y">-2mm</Parameter>
      <Parameter Name="ControlPoint01X">11mm</Parameter>
      <Parameter Name="ControlPoint01Y">-4mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">22mm</Parameter>
      <Parameter Name="__savedHandleRightY">-2mm</Parameter>
      <Parameter Name="__savedHandleBottomX">11mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-4mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">22</Parameter>
      <Parameter Name="__fVisControlHeight">4</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

